import { IVpc } from '@aws-cdk/aws-ec2';
import * as ecs from '@aws-cdk/aws-ecs';
import * as efs from '@aws-cdk/aws-efs';
import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface ApisixProps {
    /**
     * @stability stable
     */
    readonly vpc?: IVpc;
    /**
     * @stability stable
     */
    readonly cluster?: ecs.ICluster;
    /**
     * @stability stable
     */
    readonly efsFilesystem?: efs.IFileSystem;
    /**
     * @stability stable
     */
    readonly apisixContainer: ecs.ContainerImage;
    /**
     * @stability stable
     */
    readonly dashboardContainer: ecs.ContainerImage;
    /**
     * @stability stable
     */
    readonly etcdContainer: ecs.ContainerImage;
}
/**
 * @stability stable
 */
export declare class Apisix extends cdk.Construct {
    /**
     * @stability stable
     */
    readonly vpc: IVpc;
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, props: ApisixProps);
    private _createEfsFilesystem;
}
